Update an opt out request | DataGrail Documentation
Update an opt out request
PUT https://www.example.com/api/v2/opt_outs/:uuid
Request
Path Parameters
uuid string required
The unique identifier of the opt out request you want to update.
Example: 7efa58a8-9b7d-4faf-8082-5f7f7f407db7
Header Parameters
authorization string required
Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9
- application/json
Body
first_name string
The first name of the person wanting to opt out of the sharing or selling of their data.
Example: Chuck
last_name string
The last name of the person wanting to opt out of the sharing or selling of their data.
Example: Norris
email string
The email address of the person wanting to opt out of sharing or selling of their data.
Example: chuck.norris@example.com
location string
The location of the person wanting to opt out.
Example: US-CA
additional_info string
Any additional details the user might want to add to their request.
Example: Additional information
{
"first_name": "Chuck",
"last_name": "Norris",
"email": "chuck.norris@example.com",
"location": "US-CA",
"additional_info": "Additional information"
}
Responses
- 200
- 404
- 422
Opt Out Request updated
- application/json
Schema
data object
created_at string
Datetime of when the opt out was created.
Example: 2024-08-09T21:14:49.444Z
due_date string
Date of when the opt out is due.
Example: 2024-12-09T21:14:49.444Z
data object
canonical_email string
The email associated with the data subject.
Example: john@example.com
email string
The email associated with the data subject.
Example: john@example.com
first_name string
The first name of the data subject.
Example: John
last_name string
The last name of the data subject.
Example: Smith
location object
The location the data subject when they submitted the request.
oneOf
- string
- null
string
status string
The status of the request.
Example: not_started
additional_info string
returning the additional_info passed in when the Opt Out was created.
Example: Some additional data
uuid string
The unique identifier of the request.
Example: 967e34da-4863-4fcf-842d-176dd102d032
intake_data object
The intake data associated with the request.
If submitted through an intake form, data subject specific information will be included here.
property name* object
oneOf
- string
- string[]
string
{
"data": {
"created_at": "2024-08-09T21:14:49.444Z",
"due_date": "2024-12-09T21:14:49.444Z",
"data": {
"canonical_email": "john@example.com"
},
"email": "john@example.com",
"first_name": "John",
"last_name": "Smith",
"location": "US",
"status": "not_started",
"additional_info": "Some additional data",
"uuid": "967e34da-4863-4fcf-842d-176dd102d032",
"intake_data": {
"first_name": "Guinevere",
"last_name": "Camelot",
"reported_country_code": "CA",
"reported_sub_region_code_1": "QB",
"favorite_colors": [
"Red",
"Blue"
]
}
}
}
Not able to find a request with the ID provided
Invalid Request
CURL
curl -L -X PUT 'https://www.example.com/api/v2/opt_outs/:uuid' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"first_name": "Chuck",
"last_name": "Norris",
"email": "chuck.norris@example.com",
"location": "US-CA",
"additional_info": "Additional information"
}'
Base URL
Parameters
- uuid — path required
- authorization — header required
Body
Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.
Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.